com.rscja.deviceapi.interfaces

## Interface IMultipleAntenna

- All Known Subinterfaces:
    IRFIDWithUHFA4, IRFIDWithUHFA4NetWork, IRFIDWithUHFA4RS232, IRFIDWithUHFA4Uart, IRFIDWithUHFA8, IRFIDWithUHFA8NetWork, IRFIDWithUHFA8RS232, IRFIDWithUHFA8Uart, IRFIDWithUHFUrxNetwork, IRFIDWithUHFUrxUart, IRFIDWithUHFUrxUsbToUart, IUHFA4, IUHFA8, IUHFURx
  All Known Implementing Classes:
    RFIDWithUHFA4, RFIDWithUHFA4_qcom, RFIDWithUHFA4NetWork, RFIDWithUHFA4NetWork_qcom, RFIDWithUHFA4RS232, RFIDWithUHFA4RS232_qcom, RFIDWithUHFA8, RFIDWithUHFA8_qcom, RFIDWithUHFA8NetWork, RFIDWithUHFA8NetWork_qcom, RFIDWithUHFA8RS232, RFIDWithUHFA8RS232_qcom, RFIDWithUHFAxBase, RFIDWithUHFUrxNetwork, RFIDWithUHFUrxNetwork_qcom, RFIDWithUHFUrxUart, RFIDWithUHFUrxUart_qcom, RFIDWithUHFUrxUart2_qcom, RFIDWithUHFUrxUsbToUart, RFIDWithUHFUrxUsbToUart_qcom, UHFCSYX_A4NetWork, UHFCSYXForURx, UHFSFForUrxNetwork, UHFTemperatureTagsAPI_qcom

      public interface IMultipleAntenna

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AntennaState>` | `getANT()` 获取当前设置的天线
    `java.util.List<AntennaPowerEntity>` | `getAntennaPower()`
    `int` | `getAntennaPower(AntennaEnum ant)` 获取单个天线的功率
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线
    `boolean` | `setAntennaPower(AntennaEnum ant, int power)` 设置单个天线的功率

- - ### Method Detail

    - #### setANT

          boolean setANT(java.util.List<AntennaState> antStatus)

      设置天线
      Parameters:
        `antStatus` - 天线号
      Returns:

    - #### getANT

          java.util.List<AntennaState> getANT()

      获取当前设置的天线

    - #### setAntennaPower

          boolean setAntennaPower(AntennaEnum ant,
                                  int power)

      设置单个天线的功率
      Parameters:
        `ant` - 天线号
        `power` - 功率
      Returns:

    - #### getAntennaPower

          int getAntennaPower(AntennaEnum ant)

      获取单个天线的功率
      Returns:

    - #### getAntennaPower

          java.util.List<AntennaPowerEntity> getAntennaPower()